: Interface IMimeObject

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.mime
Interface IMimeObject

public abstract interface IMimeObject

This is an interface for extracting information from a MIME part, or a tree of MIME parts.

See Also:
  `IMimeParser`, `IMimeOperator`

Method Summary
`java.util.Enumeration` | `children()` Returns the children of the object, or null if it has no children or is not a container at all.
`java.lang.String` | `contentType()` Returns the MIME content-type of this object.
`javax.mail.internet.InternetHeaders` | `headers()` Returns the headers which describe this object.
`java.lang.String` | `partID()` Returns the ID string of the MIME part.

Method Detail

### contentType

    public java.lang.String contentType()

  Returns the MIME content-type of this object. Note that under certain conditions, this may disagree with the content-type in the object's headers: the value returned by contentType() takes priority. Note also that the content-type may be null, in the specific case of the top-level body of a non-MIME message.

### headers

    public javax.mail.internet.InternetHeaders headers()

  Returns the headers which describe this object. This may be null in some cases, including the case of the outermost object. These headers describe the object itself, not the contents of the object: so, for a message/rfc822 object, these would be the headers which contained a Content-Type of message/rfc822. The interior headers, those describing the body of the object, are found in the child.

### children

    public java.util.Enumeration children()

  Returns the children of the object, or null if it has no children or is not a container at all.

### partID

    public java.lang.String partID()

  Returns the ID string of the MIME part. This is the parent-relative index string, like "1.2.3" as found in mailbox: and news: URLs. This will be null for the outermost part. The first child of the outer part is "1"; the third child of that child is "1.3"; and so on.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD